package query

type ServiceQuery interface {
	ModuleName() string
	List() ([]string, error)
	ServiceInfo(serviceid string) (string, error)
}

type TimeSortable interface {
	TimeStamp() int64
}

type TimeSortableSlice []TimeSortable

func (s TimeSortableSlice) Len() int {
	return len(s)
}
func (s TimeSortableSlice) Swap(i, j int) {
	s[i], s[j] = s[j], s[i]
}

func (s TimeSortableSlice) Less(i, j int) bool {
	return s[i].TimeStamp() < s[j].TimeStamp()
}
